﻿using System.Collections.Generic;
using System.Collections.Specialized;

namespace AutomobileSampleDataModel.Helpers
{
    public static class EnumerableExtensions
    {
        public static Years ToYears(this IEnumerable<Year> years)
        {
            return new Years(years);
        }

        public static Makes ToMakes(this IEnumerable<Make> makes)
        {
            return new Makes(makes);
        }

        public static Models ToModels(this IEnumerable<Model> models)
        {
            return new Models(models);
        }

        public static Automobiles ToAutomobiles(this IEnumerable<Automobile> automobiles)
        {
            return new Automobiles(automobiles);
        }
    }
}