﻿using System;
using WcfRestUtilities;
using WcfRestUtilities.Logger;

namespace AutomobileService
{
    class Program
    {
        private static string serviceAddress = "http://localhost:9999/";

        static void Main(string[] args)
        {
            var serviceHost = new SafeWebServiceHost(typeof(AutomobileService), serviceAddress, new ConsoleLogger());
            serviceHost.SafeOpen();

            Console.ReadLine();
            serviceHost.SafeClose();

            Console.WriteLine();
            Console.WriteLine("Done.");
            Console.ReadLine();
        }
    }
}