using System;

namespace WcfRestUtilities.Logger
{
    /// <summary>
    /// An empty implementation of ILogger.  All methods are empty and do nothing.
    /// </summary>
    public class NullLogger : ILogger
    {
        /// <summary>
        /// This empty logger does nothing
        /// </summary>
        /// <param name="message">The message to log.</param>
        public void Write(string message) { }

        /// <summary>
        /// This empty logger does nothing
        /// </summary>
        /// <param name="message">The message to log.</param>
        public void WriteLine(string message) { }

        /// <summary>
        /// This empty logger does nothing
        /// </summary>
        /// <param name="exception">The exception to log.</param>
        public void WriteError(Exception exception) { }

        /// <summary>
        /// This empty logger does nothing
        /// </summary>
        /// <param name="message">The message to log.</param>
        /// <param name="exception">The exception to log.</param>
        public void WriteError(string message, Exception exception) { }
    }
}