﻿using System.Collections.Generic;

namespace AutomobileSampleDataModel
{
    public static class SampleData
    {
        public static IEnumerable<Automobile> GetAllAutomobiles()
        {
            yield return new Automobile
                             {
                                 Id = 1,
                                 Year = 2008,
                                 Make = "Acura",
                                 Model = "RDX 4WD",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 2,
                                 Year = 2008,
                                 Make = "Acura",
                                 Model = "TSX",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 3,
                                 Year = 2008,
                                 Make = "Audi",
                                 Model = "A3",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 4,
                                 Year = 2008,
                                 Make = "Audi",
                                 Model = "A4",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 5,
                                 Year = 2008,
                                 Make = "Audi",
                                 Model = "A4 Quattro",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 6,
                                 Year = 2008,
                                 Make = "Audi",
                                 Model = "TT Roadster",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 7,
                                 Year = 2008,
                                 Make = "BMW",
                                 Model = "128i",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 8,
                                 Year = 2008,
                                 Make = "BMW",
                                 Model = "328ci",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 9,
                                 Year = 2008,
                                 Make = "BMW",
                                 Model = "328cxi",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 10,
                                 Year = 2008,
                                 Make = "BMW",
                                 Model = "328i",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 11,
                                 Year = 2008,
                                 Make = "BMW",
                                 Model = "X3 3.0si",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 12,
                                 Year = 2008,
                                 Make = "BMW",
                                 Model = "Z4 3.0i",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 13,
                                 Year = 2008,
                                 Make = "BMW",
                                 Model = "Z4 3.0si",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 14,
                                 Year = 2008,
                                 Make = "Buick",
                                 Model = "Enclave AWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 15,
                                 Year = 2008,
                                 Make = "Buick",
                                 Model = "Enclave FWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 16,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Avalanche 1500 2WD",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 17,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Aveo",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 18,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Aveo 5",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 19,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Cobalt",
                                 Engine = "V4-2.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 20,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Cobalt",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 21,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Cobalt",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 22,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Cobalt XFE",
                                 Engine = "V4-2.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 23,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Colorado 2WD",
                                 Engine = "V4-2.9L"
                             };
            yield return new Automobile
                             {
                                 Id = 24,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Colorado 2WD",
                                 Engine = "V5-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 25,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Colorado 4WD",
                                 Engine = "V4-2.9L"
                             };
            yield return new Automobile
                             {
                                 Id = 26,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Colorado Crew Cab 2WD",
                                 Engine = "V4-2.9L"
                             };
            yield return new Automobile
                             {
                                 Id = 27,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Colorado Crew Cab 2WD",
                                 Engine = "V5-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 28,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Colorado Crew Cab 4WD",
                                 Engine = "V5-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 29,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Equinox AWD",
                                 Engine = "V6-3.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 30,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Equinox AWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 31,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Equinox FWD",
                                 Engine = "V6-3.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 32,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Equinox FWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 33,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Express 1500 AWD",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 34,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Express 1500/2500 2WD",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 35,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "HHR FWD",
                                 Engine = "V4-2.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 36,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "HHR FWD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 37,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "HHR FWD",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 38,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "HHR Panel FWD",
                                 Engine = "V4-2.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 39,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "HHR Panel FWD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 40,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Impala",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 41,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Impala",
                                 Engine = "V6-3.9L"
                             };
            yield return new Automobile
                             {
                                 Id = 42,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Malibu",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 43,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Malibu",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 44,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Malibu Hybrid",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 45,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Silverado C15 2WD",
                                 Engine = "V6-4.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 46,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Silverado C15 2WD",
                                 Engine = "V8-4.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 47,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Silverado C15 2WD",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 48,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Silverado K15 4WD",
                                 Engine = "V6-4.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 49,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Silverado K15 4WD",
                                 Engine = "V8-4.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 50,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Silverado K15 4WD",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 51,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Silverado K15 4WD",
                                 Engine = "V8-6L"
                             };
            yield return new Automobile
                             {
                                 Id = 52,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Uplander FWD",
                                 Engine = "V6-3.9L"
                             };
            yield return new Automobile
                             {
                                 Id = 53,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Van 1500/2500 2WD",
                                 Engine = "V6-4.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 54,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Van 1500/2500 2WD",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 55,
                                 Year = 2008,
                                 Make = "Chevrolet",
                                 Model = "Van 1500/2500 AWD",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 56,
                                 Year = 2008,
                                 Make = "Chrysler",
                                 Model = "Pacifica FWD",
                                 Engine = "V6-3.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 57,
                                 Year = 2008,
                                 Make = "Chrysler",
                                 Model = "PT Cruiser",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 58,
                                 Year = 2008,
                                 Make = "Chrysler",
                                 Model = "PT Cruiser Convertible",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 59,
                                 Year = 2008,
                                 Make = "Chrysler",
                                 Model = "Sebring",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 60,
                                 Year = 2008,
                                 Make = "Chrysler",
                                 Model = "Sebring",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 61,
                                 Year = 2008,
                                 Make = "Chrysler",
                                 Model = "Sebring Convertible",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 62,
                                 Year = 2008,
                                 Make = "Chrysler",
                                 Model = "Sebring Convertible",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 63,
                                 Year = 2008,
                                 Make = "Chrysler",
                                 Model = "Town and Country",
                                 Engine = "V6-3.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 64,
                                 Year = 2008,
                                 Make = "Chrysler",
                                 Model = "Town and Country",
                                 Engine = "V6-3.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 65,
                                 Year = 2008,
                                 Make = "Chrysler",
                                 Model = "Town and Country",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 66,
                                 Year = 2008,
                                 Make = "Chrysler",
                                 Model = "Town and Country/Voyager/Grand Voy",
                                 Engine = "V6-3.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 67,
                                 Year = 2008,
                                 Make = "Chrysler",
                                 Model = "Town and Country/Voyager/Grand Voy",
                                 Engine = "V6-3.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 68,
                                 Year = 2008,
                                 Make = "Chrysler",
                                 Model = "Town and Country/Voyager/Grand Voy",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 69,
                                 Year = 2008,
                                 Make = "Dodge",
                                 Model = "Avenger",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 70,
                                 Year = 2008,
                                 Make = "Dodge",
                                 Model = "Avenger",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 71,
                                 Year = 2008,
                                 Make = "Dodge",
                                 Model = "Caliber",
                                 Engine = "V4-1.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 72,
                                 Year = 2008,
                                 Make = "Dodge",
                                 Model = "Caliber",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 73,
                                 Year = 2008,
                                 Make = "Dodge",
                                 Model = "Caliber",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 74,
                                 Year = 2008,
                                 Make = "Dodge",
                                 Model = "Caliber AWD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 75,
                                 Year = 2008,
                                 Make = "Dodge",
                                 Model = "Caravan/Grand Caravan 2WD",
                                 Engine = "V6-3.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 76,
                                 Year = 2008,
                                 Make = "Dodge",
                                 Model = "Caravan/Grand Caravan 2WD",
                                 Engine = "V6-3.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 77,
                                 Year = 2008,
                                 Make = "Dodge",
                                 Model = "Caravan/Grand Caravan 2WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 78,
                                 Year = 2008,
                                 Make = "Dodge",
                                 Model = "Dakota Pickup 2WD",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 79,
                                 Year = 2008,
                                 Make = "Dodge",
                                 Model = "Dakota Pickup 2WD",
                                 Engine = "V8-4.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 80,
                                 Year = 2008,
                                 Make = "Dodge",
                                 Model = "Dakota Pickup 4WD",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 81,
                                 Year = 2008,
                                 Make = "Dodge",
                                 Model = "Dakota Pickup 4WD",
                                 Engine = "V8-4.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 82,
                                 Year = 2008,
                                 Make = "Dodge",
                                 Model = "Magnum",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 83,
                                 Year = 2008,
                                 Make = "Dodge",
                                 Model = "Nitro 2WD",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 84,
                                 Year = 2008,
                                 Make = "Dodge",
                                 Model = "Nitro 2WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 85,
                                 Year = 2008,
                                 Make = "Dodge",
                                 Model = "Nitro 4WD",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 86,
                                 Year = 2008,
                                 Make = "Dodge",
                                 Model = "Ram 1500 Pickup 2WD",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 87,
                                 Year = 2008,
                                 Make = "Dodge",
                                 Model = "Ram 1500 Pickup 2WD",
                                 Engine = "V8-4.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 88,
                                 Year = 2008,
                                 Make = "Dodge",
                                 Model = "Ram 1500 Pickup 2WD",
                                 Engine = "V8-5.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 89,
                                 Year = 2008,
                                 Make = "Dodge",
                                 Model = "Ram 1500 Pickup 4WD",
                                 Engine = "V8-4.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 90,
                                 Year = 2008,
                                 Make = "Dodge",
                                 Model = "Ram 1500 Pickup 4WD",
                                 Engine = "V8-5.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 91,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "Crown Victoria FFV",
                                 Engine = "V8-4.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 92,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "Edge AWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 93,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "Edge FWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 94,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "Escape 4WD",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 95,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "Escape 4WD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 96,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "Escape FWD",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 97,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "Escape FWD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 98,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "Escape Hybrid 4WD",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 99,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "Escape Hybrid FWD",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 100,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "Explorer Sport Trac 2WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 101,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "Explorer Sport Trac 4WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 102,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "Explorer Sport Trac 4WD",
                                 Engine = "V8-4.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 103,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "F150 Pickup 2WD",
                                 Engine = "V6-4.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 104,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "F150 Pickup 2WD",
                                 Engine = "V8-4.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 105,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "F150 Pickup 2WD",
                                 Engine = "V8-5.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 106,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "F150 Pickup 4WD",
                                 Engine = "V8-4.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 107,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "F150 Pickup 4WD",
                                 Engine = "V8-5.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 108,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "F150 Pickup FFV 2WD",
                                 Engine = "V8-5.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 109,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "F150 Pickup FFV 4WD",
                                 Engine = "V8-5.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 110,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "F150 STX SE FFV 2WD",
                                 Engine = "V8-5.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 111,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "Focus",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 112,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "Fusion",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 113,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "Ranger Pickup 2WD",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 114,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "Ranger Pickup 2WD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 115,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "Ranger Pickup 2WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 116,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "Taurus FWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 117,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "Taurus X AWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 118,
                                 Year = 2008,
                                 Make = "Ford",
                                 Model = "Taurus X FWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 119,
                                 Year = 2008,
                                 Make = "GMC",
                                 Model = "Acadia AWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 120,
                                 Year = 2008,
                                 Make = "GMC",
                                 Model = "Acadia FWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 121,
                                 Year = 2008,
                                 Make = "GMC",
                                 Model = "Canyon 2WD",
                                 Engine = "V4-2.9L"
                             };
            yield return new Automobile
                             {
                                 Id = 122,
                                 Year = 2008,
                                 Make = "GMC",
                                 Model = "Canyon 2WD",
                                 Engine = "V5-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 123,
                                 Year = 2008,
                                 Make = "GMC",
                                 Model = "Canyon 4WD",
                                 Engine = "V4-2.9L"
                             };
            yield return new Automobile
                             {
                                 Id = 124,
                                 Year = 2008,
                                 Make = "GMC",
                                 Model = "Canyon Crew Cab 2WD",
                                 Engine = "V4-2.9L"
                             };
            yield return new Automobile
                             {
                                 Id = 125,
                                 Year = 2008,
                                 Make = "GMC",
                                 Model = "Savana 15/25 2WD Conversion (cargo",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 126,
                                 Year = 2008,
                                 Make = "GMC",
                                 Model = "Savana 1500/2500 2WD (cargo)",
                                 Engine = "V6-4.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 127,
                                 Year = 2008,
                                 Make = "GMC",
                                 Model = "Savana 1500/2500 2WD (cargo)",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 128,
                                 Year = 2008,
                                 Make = "GMC",
                                 Model = "Savana 1500/2500 2WD (Passenger)",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 129,
                                 Year = 2008,
                                 Make = "GMC",
                                 Model = "Savana 1500/2500 AWD (cargo)",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 130,
                                 Year = 2008,
                                 Make = "GMC",
                                 Model = "Sierra C15 2WD",
                                 Engine = "V6-4.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 131,
                                 Year = 2008,
                                 Make = "GMC",
                                 Model = "Sierra C15 2WD",
                                 Engine = "V8-4.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 132,
                                 Year = 2008,
                                 Make = "GMC",
                                 Model = "Sierra C15 2WD",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 133,
                                 Year = 2008,
                                 Make = "GMC",
                                 Model = "Sierra C15 2WD",
                                 Engine = "V8-6L"
                             };
            yield return new Automobile
                             {
                                 Id = 134,
                                 Year = 2008,
                                 Make = "GMC",
                                 Model = "Sierra K15 4WD",
                                 Engine = "V6-4.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 135,
                                 Year = 2008,
                                 Make = "GMC",
                                 Model = "Sierra K15 4WD",
                                 Engine = "V8-4.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 136,
                                 Year = 2008,
                                 Make = "GMC",
                                 Model = "Sierra K15 4WD",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 137,
                                 Year = 2008,
                                 Make = "GMC",
                                 Model = "Yukon 1500 Hybrid 2WD",
                                 Engine = "V8-6L"
                             };
            yield return new Automobile
                             {
                                 Id = 138,
                                 Year = 2008,
                                 Make = "Honda",
                                 Model = "Accord",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 139,
                                 Year = 2008,
                                 Make = "Honda",
                                 Model = "Accord",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 140,
                                 Year = 2008,
                                 Make = "Honda",
                                 Model = "Accord Coupe",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 141,
                                 Year = 2008,
                                 Make = "Honda",
                                 Model = "Accord Coupe",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 142,
                                 Year = 2008,
                                 Make = "Honda",
                                 Model = "Civic",
                                 Engine = "V4-1.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 143,
                                 Year = 2008,
                                 Make = "Honda",
                                 Model = "Civic",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 144,
                                 Year = 2008,
                                 Make = "Honda",
                                 Model = "Civic CNG",
                                 Engine = "V4-1.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 145,
                                 Year = 2008,
                                 Make = "Honda",
                                 Model = "Civic Hybrid",
                                 Engine = "V4-1.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 146,
                                 Year = 2008,
                                 Make = "Honda",
                                 Model = "CR-V 2WD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 147,
                                 Year = 2008,
                                 Make = "Honda",
                                 Model = "CR-V 4WD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 148,
                                 Year = 2008,
                                 Make = "Honda",
                                 Model = "Element 2WD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 149,
                                 Year = 2008,
                                 Make = "Honda",
                                 Model = "Element 4WD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 150,
                                 Year = 2008,
                                 Make = "Honda",
                                 Model = "Fit",
                                 Engine = "V4-1.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 151,
                                 Year = 2008,
                                 Make = "Honda",
                                 Model = "Odyssey",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 152,
                                 Year = 2008,
                                 Make = "Honda",
                                 Model = "Pilot 2WD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 153,
                                 Year = 2008,
                                 Make = "Honda",
                                 Model = "Ridgeline Truck 4WD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 154,
                                 Year = 2008,
                                 Make = "Hyundai",
                                 Model = "Accent",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 155,
                                 Year = 2008,
                                 Make = "Hyundai",
                                 Model = "Elantra",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 156,
                                 Year = 2008,
                                 Make = "Hyundai",
                                 Model = "Entourage",
                                 Engine = "V6-3.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 157,
                                 Year = 2008,
                                 Make = "Hyundai",
                                 Model = "Santa Fe 2WD",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 158,
                                 Year = 2008,
                                 Make = "Hyundai",
                                 Model = "Santa Fe 2WD",
                                 Engine = "V6-3.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 159,
                                 Year = 2008,
                                 Make = "Hyundai",
                                 Model = "Santa Fe 4WD",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 160,
                                 Year = 2008,
                                 Make = "Hyundai",
                                 Model = "Santa Fe 4WD",
                                 Engine = "V6-3.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 161,
                                 Year = 2008,
                                 Make = "Hyundai",
                                 Model = "Sonata",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 162,
                                 Year = 2008,
                                 Make = "Hyundai",
                                 Model = "Sonata",
                                 Engine = "V6-3.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 163,
                                 Year = 2008,
                                 Make = "Hyundai",
                                 Model = "Tiburon",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 164,
                                 Year = 2008,
                                 Make = "Hyundai",
                                 Model = "Tucson 2WD",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 165,
                                 Year = 2008,
                                 Make = "Hyundai",
                                 Model = "Tucson 2WD",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 166,
                                 Year = 2008,
                                 Make = "Hyundai",
                                 Model = "Tucson 4WD",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 167,
                                 Year = 2008,
                                 Make = "Hyundai",
                                 Model = "Tucson 4WD",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 168,
                                 Year = 2008,
                                 Make = "Hyundai",
                                 Model = "Veracruz 2WD",
                                 Engine = "V6-3.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 169,
                                 Year = 2008,
                                 Make = "Hyundai",
                                 Model = "Veracruz 4WD",
                                 Engine = "V6-3.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 170,
                                 Year = 2008,
                                 Make = "Isuzu",
                                 Model = "i-370 Crew Cab 2WD",
                                 Engine = "V5-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 171,
                                 Year = 2008,
                                 Make = "Isuzu",
                                 Model = "i-370 Extended Cab 2WD",
                                 Engine = "V5-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 172,
                                 Year = 2008,
                                 Make = "Jeep",
                                 Model = "Compass 2WD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 173,
                                 Year = 2008,
                                 Make = "Jeep",
                                 Model = "Compass 2WD",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 174,
                                 Year = 2008,
                                 Make = "Jeep",
                                 Model = "Compass 4WD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 175,
                                 Year = 2008,
                                 Make = "Jeep",
                                 Model = "Grand Cherokee 2WD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 176,
                                 Year = 2008,
                                 Make = "Jeep",
                                 Model = "Grand Cherokee 4WD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 177,
                                 Year = 2008,
                                 Make = "Jeep",
                                 Model = "Liberty 2WD",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 178,
                                 Year = 2008,
                                 Make = "Jeep",
                                 Model = "Liberty 4WD",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 179,
                                 Year = 2008,
                                 Make = "Jeep",
                                 Model = "Patriot 2WD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 180,
                                 Year = 2008,
                                 Make = "Jeep",
                                 Model = "Patriot 2WD",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 181,
                                 Year = 2008,
                                 Make = "Jeep",
                                 Model = "Patriot 4WD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 182,
                                 Year = 2008,
                                 Make = "Kia",
                                 Model = "Optima",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 183,
                                 Year = 2008,
                                 Make = "Kia",
                                 Model = "Optima",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 184,
                                 Year = 2008,
                                 Make = "Kia",
                                 Model = "Rio",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 185,
                                 Year = 2008,
                                 Make = "Kia",
                                 Model = "Rondo",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 186,
                                 Year = 2008,
                                 Make = "Kia",
                                 Model = "Rondo",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 187,
                                 Year = 2008,
                                 Make = "Kia",
                                 Model = "Sedona",
                                 Engine = "V6-3.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 188,
                                 Year = 2008,
                                 Make = "Kia",
                                 Model = "Sorento 2WD",
                                 Engine = "V6-3.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 189,
                                 Year = 2008,
                                 Make = "Kia",
                                 Model = "Spectra",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 190,
                                 Year = 2008,
                                 Make = "Kia",
                                 Model = "Sportage 2WD",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 191,
                                 Year = 2008,
                                 Make = "Kia",
                                 Model = "Sportage 2WD",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 192,
                                 Year = 2008,
                                 Make = "Kia",
                                 Model = "Sportage 4WD",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 193,
                                 Year = 2008,
                                 Make = "Kia",
                                 Model = "Sportage 4WD",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 194,
                                 Year = 2008,
                                 Make = "Lexus",
                                 Model = "ES 350",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 195,
                                 Year = 2008,
                                 Make = "Lexus",
                                 Model = "GS 350",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 196,
                                 Year = 2008,
                                 Make = "Lexus",
                                 Model = "IS 250",
                                 Engine = "V6-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 197,
                                 Year = 2008,
                                 Make = "Lexus",
                                 Model = "RX 400h 2WD",
                                 Engine = "V6-3.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 198,
                                 Year = 2008,
                                 Make = "Lexus",
                                 Model = "RX 400h 4WD",
                                 Engine = "V6-3.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 199,
                                 Year = 2008,
                                 Make = "Lincoln",
                                 Model = "MKX AWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 200,
                                 Year = 2008,
                                 Make = "Lincoln",
                                 Model = "MKX FWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 201,
                                 Year = 2008,
                                 Make = "Lincoln",
                                 Model = "MKZ FWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 202,
                                 Year = 2008,
                                 Make = "Mazda",
                                 Model = "3",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 203,
                                 Year = 2008,
                                 Make = "Mazda",
                                 Model = "3",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 204,
                                 Year = 2008,
                                 Make = "Mazda",
                                 Model = "5",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 205,
                                 Year = 2008,
                                 Make = "Mazda",
                                 Model = "6",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 206,
                                 Year = 2008,
                                 Make = "Mazda",
                                 Model = "B2300 2WD",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 207,
                                 Year = 2008,
                                 Make = "Mazda",
                                 Model = "CX-7 2WD",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 208,
                                 Year = 2008,
                                 Make = "Mazda",
                                 Model = "CX-7 4WD",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 209,
                                 Year = 2008,
                                 Make = "Mazda",
                                 Model = "CX-9 2WD",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 210,
                                 Year = 2008,
                                 Make = "Mazda",
                                 Model = "MX-5",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 211,
                                 Year = 2008,
                                 Make = "Mazda",
                                 Model = "Tribute 4WD",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 212,
                                 Year = 2008,
                                 Make = "Mazda",
                                 Model = "Tribute 4WD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 213,
                                 Year = 2008,
                                 Make = "Mazda",
                                 Model = "Tribute FWD",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 214,
                                 Year = 2008,
                                 Make = "Mazda",
                                 Model = "Tribute FWD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 215,
                                 Year = 2008,
                                 Make = "Mercury",
                                 Model = "Mariner 4WD",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 216,
                                 Year = 2008,
                                 Make = "Mercury",
                                 Model = "Mariner 4WD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 217,
                                 Year = 2008,
                                 Make = "Mercury",
                                 Model = "Mariner FWD",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 218,
                                 Year = 2008,
                                 Make = "Mercury",
                                 Model = "Mariner FWD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 219,
                                 Year = 2008,
                                 Make = "Mercury",
                                 Model = "Mariner Hybrid 4WD",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 220,
                                 Year = 2008,
                                 Make = "Mercury",
                                 Model = "Mariner Hybrid FWD",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 221,
                                 Year = 2008,
                                 Make = "Mercury",
                                 Model = "Milan",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 222,
                                 Year = 2008,
                                 Make = "Mercury",
                                 Model = "Milan AWD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 223,
                                 Year = 2008,
                                 Make = "Mercury",
                                 Model = "Sable FWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 224,
                                 Year = 2008,
                                 Make = "MINI",
                                 Model = "Clubman",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 225,
                                 Year = 2008,
                                 Make = "MINI",
                                 Model = "Clubman S",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 226,
                                 Year = 2008,
                                 Make = "MINI",
                                 Model = "Cooper",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 227,
                                 Year = 2008,
                                 Make = "MINI",
                                 Model = "Cooper Convertible",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 228,
                                 Year = 2008,
                                 Make = "MINI",
                                 Model = "Cooper S",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 229,
                                 Year = 2008,
                                 Make = "MINI",
                                 Model = "Cooper S Convertible",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 230,
                                 Year = 2008,
                                 Make = "Mitsubishi",
                                 Model = "Eclipse",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 231,
                                 Year = 2008,
                                 Make = "Mitsubishi",
                                 Model = "Eclipse Spyder",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 232,
                                 Year = 2008,
                                 Make = "Mitsubishi",
                                 Model = "Endeavor 2WD",
                                 Engine = "V6-3.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 233,
                                 Year = 2008,
                                 Make = "Mitsubishi",
                                 Model = "Galant",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 234,
                                 Year = 2008,
                                 Make = "Mitsubishi",
                                 Model = "Lancer",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 235,
                                 Year = 2008,
                                 Make = "Mitsubishi",
                                 Model = "Outlander 2WD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 236,
                                 Year = 2008,
                                 Make = "Mitsubishi",
                                 Model = "Outlander 2WD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 237,
                                 Year = 2008,
                                 Make = "Mitsubishi",
                                 Model = "Outlander 4WD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 238,
                                 Year = 2008,
                                 Make = "Mitsubishi",
                                 Model = "Outlander 4WD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 239,
                                 Year = 2008,
                                 Make = "Mitsubishi",
                                 Model = "Raider Pickup 2WD",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 240,
                                 Year = 2008,
                                 Make = "Mitsubishi",
                                 Model = "Raider Pickup 4WD",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 241,
                                 Year = 2008,
                                 Make = "Nissan",
                                 Model = "Altima",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 242,
                                 Year = 2008,
                                 Make = "Nissan",
                                 Model = "Altima",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 243,
                                 Year = 2008,
                                 Make = "Nissan",
                                 Model = "Altima Coupe",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 244,
                                 Year = 2008,
                                 Make = "Nissan",
                                 Model = "Altima Coupe",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 245,
                                 Year = 2008,
                                 Make = "Nissan",
                                 Model = "Altima Hybrid",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 246,
                                 Year = 2008,
                                 Make = "Nissan",
                                 Model = "Frontier 2WD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 247,
                                 Year = 2008,
                                 Make = "Nissan",
                                 Model = "Frontier 2WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 248,
                                 Year = 2008,
                                 Make = "Nissan",
                                 Model = "Frontier 4WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 249,
                                 Year = 2008,
                                 Make = "Nissan",
                                 Model = "Quest",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 250,
                                 Year = 2008,
                                 Make = "Nissan",
                                 Model = "Rogue AWD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 251,
                                 Year = 2008,
                                 Make = "Nissan",
                                 Model = "Rogue FWD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 252,
                                 Year = 2008,
                                 Make = "Nissan",
                                 Model = "Sentra",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 253,
                                 Year = 2008,
                                 Make = "Nissan",
                                 Model = "Sentra",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 254,
                                 Year = 2008,
                                 Make = "Nissan",
                                 Model = "Versa",
                                 Engine = "V4-1.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 255,
                                 Year = 2008,
                                 Make = "Pontiac",
                                 Model = "G5 XFE",
                                 Engine = "V4-2.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 256,
                                 Year = 2008,
                                 Make = "Pontiac",
                                 Model = "G5/Pursuit",
                                 Engine = "V4-2.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 257,
                                 Year = 2008,
                                 Make = "Pontiac",
                                 Model = "G5/Pursuit",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 258,
                                 Year = 2008,
                                 Make = "Pontiac",
                                 Model = "G6",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 259,
                                 Year = 2008,
                                 Make = "Pontiac",
                                 Model = "G6",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 260,
                                 Year = 2008,
                                 Make = "Pontiac",
                                 Model = "G6",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 261,
                                 Year = 2008,
                                 Make = "Pontiac",
                                 Model = "Solstice",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 262,
                                 Year = 2008,
                                 Make = "Pontiac",
                                 Model = "Solstice",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 263,
                                 Year = 2008,
                                 Make = "Pontiac",
                                 Model = "Torrent AWD",
                                 Engine = "V6-3.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 264,
                                 Year = 2008,
                                 Make = "Pontiac",
                                 Model = "Torrent AWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 265,
                                 Year = 2008,
                                 Make = "Pontiac",
                                 Model = "Torrent FWD",
                                 Engine = "V6-3.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 266,
                                 Year = 2008,
                                 Make = "Pontiac",
                                 Model = "Torrent FWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 267,
                                 Year = 2008,
                                 Make = "Pontiac",
                                 Model = "Vibe",
                                 Engine = "V4-1.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 268,
                                 Year = 2008,
                                 Make = "Saab",
                                 Model = "9-3 Convertible",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 269,
                                 Year = 2008,
                                 Make = "Saturn",
                                 Model = "Astra 2DR Hatchback",
                                 Engine = "V4-1.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 270,
                                 Year = 2008,
                                 Make = "Saturn",
                                 Model = "Astra 4DR Hatchback",
                                 Engine = "V4-1.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 271,
                                 Year = 2008,
                                 Make = "Saturn",
                                 Model = "Aura",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 272,
                                 Year = 2008,
                                 Make = "Saturn",
                                 Model = "Aura",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 273,
                                 Year = 2008,
                                 Make = "Saturn",
                                 Model = "Aura Hybrid",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 274,
                                 Year = 2008,
                                 Make = "Saturn",
                                 Model = "Outlook AWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 275,
                                 Year = 2008,
                                 Make = "Saturn",
                                 Model = "Outlook FWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 276,
                                 Year = 2008,
                                 Make = "Saturn",
                                 Model = "SKY",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 277,
                                 Year = 2008,
                                 Make = "Saturn",
                                 Model = "Vue AWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 278,
                                 Year = 2008,
                                 Make = "Saturn",
                                 Model = "Vue FWD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 279,
                                 Year = 2008,
                                 Make = "Saturn",
                                 Model = "Vue FWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 280,
                                 Year = 2008,
                                 Make = "Saturn",
                                 Model = "Vue Hybrid",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 281,
                                 Year = 2008,
                                 Make = "Scion",
                                 Model = "tC",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 282,
                                 Year = 2008,
                                 Make = "Scion",
                                 Model = "xB",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 283,
                                 Year = 2008,
                                 Make = "Scion",
                                 Model = "xD",
                                 Engine = "V4-1.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 284,
                                 Year = 2008,
                                 Make = "smart",
                                 Model = "fortwo convertible",
                                 Engine = "V3-1L"
                             };
            yield return new Automobile
                             {
                                 Id = 285,
                                 Year = 2008,
                                 Make = "smart",
                                 Model = "fortwo coupe",
                                 Engine = "V3-1L"
                             };
            yield return new Automobile
                             {
                                 Id = 286,
                                 Year = 2008,
                                 Make = "Subaru",
                                 Model = "Forester AWD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 287,
                                 Year = 2008,
                                 Make = "Subaru",
                                 Model = "Impreza AWD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 288,
                                 Year = 2008,
                                 Make = "Subaru",
                                 Model = "Impreza Wagon/Outback SPT AWD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 289,
                                 Year = 2008,
                                 Make = "Subaru",
                                 Model = "Legacy AWD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 290,
                                 Year = 2008,
                                 Make = "Subaru",
                                 Model = "Outback Wagon AWD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 291,
                                 Year = 2008,
                                 Make = "Subaru",
                                 Model = "Outback Wagon AWD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 292,
                                 Year = 2008,
                                 Make = "Subaru",
                                 Model = "Tribeca AWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 293,
                                 Year = 2008,
                                 Make = "Suzuki",
                                 Model = "Forenza",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 294,
                                 Year = 2008,
                                 Make = "Suzuki",
                                 Model = "Forenza Wagon",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 295,
                                 Year = 2008,
                                 Make = "Suzuki",
                                 Model = "Grand Vitara",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 296,
                                 Year = 2008,
                                 Make = "Suzuki",
                                 Model = "Grand Vitara AWD",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 297,
                                 Year = 2008,
                                 Make = "Suzuki",
                                 Model = "Reno",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 298,
                                 Year = 2008,
                                 Make = "Suzuki",
                                 Model = "SX4",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 299,
                                 Year = 2008,
                                 Make = "Suzuki",
                                 Model = "SX4 AWD",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 300,
                                 Year = 2008,
                                 Make = "Suzuki",
                                 Model = "SX4 Sedan",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 301,
                                 Year = 2008,
                                 Make = "Suzuki",
                                 Model = "XL7 AWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 302,
                                 Year = 2008,
                                 Make = "Suzuki",
                                 Model = "XL7 FWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 303,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "4Runner 2WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 304,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "4Runner 4WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 305,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "Avalon",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 306,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "Camry",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 307,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "Camry",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 308,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "Camry Hybrid",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 309,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "Camry Solara",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 310,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "Camry Solara",
                                 Engine = "V6-3.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 311,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "Corolla",
                                 Engine = "V4-1.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 312,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "FJ Cruiser 2WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 313,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "Highlander 2WD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 314,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "Highlander 4WD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 315,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "Highlander Hybrid 4WD",
                                 Engine = "V6-3.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 316,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "Matrix",
                                 Engine = "V4-1.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 317,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "Prius",
                                 Engine = "V4-1.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 318,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "RAV4 2WD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 319,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "RAV4 2WD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 320,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "RAV4 4WD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 321,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "RAV4 4WD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 322,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "Sienna 2WD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 323,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "Sienna 4WD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 324,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "Tacoma 2WD",
                                 Engine = "V4-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 325,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "Tacoma 2WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 326,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "Tacoma 4WD",
                                 Engine = "V4-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 327,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "Tacoma 4WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 328,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "Tundra 2WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 329,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "Tundra 2WD",
                                 Engine = "V8-4.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 330,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "Tundra 2WD",
                                 Engine = "V8-5.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 331,
                                 Year = 2008,
                                 Make = "Toyota",
                                 Model = "Yaris",
                                 Engine = "V4-1.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 332,
                                 Year = 2008,
                                 Make = "Volkswagen",
                                 Model = "Eos",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 333,
                                 Year = 2008,
                                 Make = "Volkswagen",
                                 Model = "Eos",
                                 Engine = "V6-3.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 334,
                                 Year = 2008,
                                 Make = "Volkswagen",
                                 Model = "GTI",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 335,
                                 Year = 2008,
                                 Make = "Volkswagen",
                                 Model = "Jetta",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 336,
                                 Year = 2008,
                                 Make = "Volkswagen",
                                 Model = "Jetta",
                                 Engine = "V5-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 337,
                                 Year = 2008,
                                 Make = "Volkswagen",
                                 Model = "Jetta SportWagen",
                                 Engine = "V5-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 338,
                                 Year = 2008,
                                 Make = "Volkswagen",
                                 Model = "New Beetle",
                                 Engine = "V5-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 339,
                                 Year = 2008,
                                 Make = "Volkswagen",
                                 Model = "New Beetle Convertible",
                                 Engine = "V5-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 340,
                                 Year = 2008,
                                 Make = "Volkswagen",
                                 Model = "Passat",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 341,
                                 Year = 2008,
                                 Make = "Volkswagen",
                                 Model = "Passat Wagon",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 342,
                                 Year = 2008,
                                 Make = "Volkswagen",
                                 Model = "Rabbit",
                                 Engine = "V5-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 343,
                                 Year = 2008,
                                 Make = "Volvo",
                                 Model = "C30 FWD",
                                 Engine = "V5-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 344,
                                 Year = 2008,
                                 Make = "Volvo",
                                 Model = "C30 FWD",
                                 Engine = "V5-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 345,
                                 Year = 2008,
                                 Make = "Volvo",
                                 Model = "S40 FWD",
                                 Engine = "V5-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 346,
                                 Year = 2008,
                                 Make = "Volvo",
                                 Model = "S40 FWD",
                                 Engine = "V5-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 347,
                                 Year = 2008,
                                 Make = "Volvo",
                                 Model = "S60 FWD",
                                 Engine = "V5-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 348,
                                 Year = 2008,
                                 Make = "Volvo",
                                 Model = "V50 FWD",
                                 Engine = "V5-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 349,
                                 Year = 2009,
                                 Make = "Acura",
                                 Model = "RDX 4WD",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 350,
                                 Year = 2009,
                                 Make = "Acura",
                                 Model = "TSX",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 351,
                                 Year = 2009,
                                 Make = "Audi",
                                 Model = "A3",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 352,
                                 Year = 2009,
                                 Make = "Audi",
                                 Model = "A3 Quattro",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 353,
                                 Year = 2009,
                                 Make = "Audi",
                                 Model = "A4",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 354,
                                 Year = 2009,
                                 Make = "Audi",
                                 Model = "A4 Avant Quattro",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 355,
                                 Year = 2009,
                                 Make = "Audi",
                                 Model = "A4 Cabriolet",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 356,
                                 Year = 2009,
                                 Make = "Audi",
                                 Model = "A4 Cabriolet Quattro",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 357,
                                 Year = 2009,
                                 Make = "Audi",
                                 Model = "A4 Quattro",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 358,
                                 Year = 2009,
                                 Make = "Audi",
                                 Model = "A4 Quattro",
                                 Engine = "V6-3.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 359,
                                 Year = 2009,
                                 Make = "Audi",
                                 Model = "A5 Quattro",
                                 Engine = "V6-3.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 360,
                                 Year = 2009,
                                 Make = "Audi",
                                 Model = "Q5",
                                 Engine = "V6-3.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 361,
                                 Year = 2009,
                                 Make = "Audi",
                                 Model = "TT Coupe",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 362,
                                 Year = 2009,
                                 Make = "Audi",
                                 Model = "TT Coupe Quattro",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 363,
                                 Year = 2009,
                                 Make = "Audi",
                                 Model = "TT Roadster",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 364,
                                 Year = 2009,
                                 Make = "Audi",
                                 Model = "TT Roadster Quattro",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 365,
                                 Year = 2009,
                                 Make = "BMW",
                                 Model = "128i",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 366,
                                 Year = 2009,
                                 Make = "BMW",
                                 Model = "328ci",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 367,
                                 Year = 2009,
                                 Make = "BMW",
                                 Model = "328ci Convertible",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 368,
                                 Year = 2009,
                                 Make = "BMW",
                                 Model = "328ci xDrive",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 369,
                                 Year = 2009,
                                 Make = "BMW",
                                 Model = "328i",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 370,
                                 Year = 2009,
                                 Make = "BMW",
                                 Model = "328i Sport Wagon xDrive",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 371,
                                 Year = 2009,
                                 Make = "BMW",
                                 Model = "328i xDrive",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 372,
                                 Year = 2009,
                                 Make = "BMW",
                                 Model = "335d",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 373,
                                 Year = 2009,
                                 Make = "BMW",
                                 Model = "X3 xDrive 30i",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 374,
                                 Year = 2009,
                                 Make = "Buick",
                                 Model = "Enclave AWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 375,
                                 Year = 2009,
                                 Make = "Buick",
                                 Model = "Enclave FWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 376,
                                 Year = 2009,
                                 Make = "Buick",
                                 Model = "Lucerne",
                                 Engine = "V6-3.9L"
                             };
            yield return new Automobile
                             {
                                 Id = 377,
                                 Year = 2009,
                                 Make = "Cadillac",
                                 Model = "SRX 2WD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 378,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Avalanche 1500 2WD",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 379,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Aveo",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 380,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Aveo 5",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 381,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Cobalt",
                                 Engine = "V4-2.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 382,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Cobalt",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 383,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Cobalt XFE",
                                 Engine = "V4-2.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 384,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Colorado 2WD",
                                 Engine = "V4-2.9L"
                             };
            yield return new Automobile
                             {
                                 Id = 385,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Colorado 2WD",
                                 Engine = "V5-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 386,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Colorado 2WD",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 387,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Colorado 4WD",
                                 Engine = "V4-2.9L"
                             };
            yield return new Automobile
                             {
                                 Id = 388,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Colorado 4WD",
                                 Engine = "V5-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 389,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Colorado Cab Chassis inc 4WD",
                                 Engine = "V5-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 390,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Colorado Crew Cab 2WD",
                                 Engine = "V4-2.9L"
                             };
            yield return new Automobile
                             {
                                 Id = 391,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Colorado Crew Cab 2WD",
                                 Engine = "V5-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 392,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Colorado Crew Cab 4WD",
                                 Engine = "V5-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 393,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Colorado Crew Cab 4WD",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 394,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Equinox AWD",
                                 Engine = "V6-3.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 395,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Equinox AWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 396,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Equinox FWD",
                                 Engine = "V6-3.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 397,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Equinox FWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 398,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Express 1500 2WD Passenger",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 399,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Express 1500 AWD Passenger",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 400,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "HHR FWD",
                                 Engine = "V4-2.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 401,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "HHR FWD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 402,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "HHR FWD",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 403,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "HHR Panel FWD",
                                 Engine = "V4-2.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 404,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "HHR Panel FWD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 405,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "HHR Panel FWD",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 406,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Impala",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 407,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Impala",
                                 Engine = "V6-3.9L"
                             };
            yield return new Automobile
                             {
                                 Id = 408,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Impala",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 409,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Malibu",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 410,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Malibu",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 411,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Malibu",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 412,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Malibu Hybrid",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 413,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Silverado 15 Hybrid 2WD",
                                 Engine = "V8-6L"
                             };
            yield return new Automobile
                             {
                                 Id = 414,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Silverado 15 Hybrid 4WD",
                                 Engine = "V8-6L"
                             };
            yield return new Automobile
                             {
                                 Id = 415,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Silverado C15 2WD",
                                 Engine = "V6-4.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 416,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Silverado C15 2WD",
                                 Engine = "V8-4.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 417,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Silverado C15 2WD",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 418,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Silverado C15 2WD",
                                 Engine = "V8-6.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 419,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Silverado C15 2WD",
                                 Engine = "V8-6L"
                             };
            yield return new Automobile
                             {
                                 Id = 420,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Silverado C15 XFE 2WD",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 421,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Silverado K15 4WD",
                                 Engine = "V6-4.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 422,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Silverado K15 4WD",
                                 Engine = "V8-4.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 423,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Silverado K15 4WD",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 424,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Silverado K15 4WD",
                                 Engine = "V8-6.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 425,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Silverado K15 4WD",
                                 Engine = "V8-6L"
                             };
            yield return new Automobile
                             {
                                 Id = 426,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Suburban 1500 2WD",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 427,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Tahoe 1500 2WD",
                                 Engine = "V8-4.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 428,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Tahoe Hybrid 4WD",
                                 Engine = "V8-6L"
                             };
            yield return new Automobile
                             {
                                 Id = 429,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Traverse AWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 430,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Traverse FWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 431,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Van 1500 2WD Cargo",
                                 Engine = "V6-4.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 432,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Van 1500 2WD Cargo",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 433,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Van 1500 2WD Conversion Cargo",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 434,
                                 Year = 2009,
                                 Make = "Chevrolet",
                                 Model = "Van 1500 AWD Cargo",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 435,
                                 Year = 2009,
                                 Make = "Chrysler",
                                 Model = "300/SRT-8",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 436,
                                 Year = 2009,
                                 Make = "Chrysler",
                                 Model = "Aspen HEV",
                                 Engine = "V8-5.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 437,
                                 Year = 2009,
                                 Make = "Chrysler",
                                 Model = "PT Cruiser",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 438,
                                 Year = 2009,
                                 Make = "Chrysler",
                                 Model = "Sebring",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 439,
                                 Year = 2009,
                                 Make = "Chrysler",
                                 Model = "Sebring",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 440,
                                 Year = 2009,
                                 Make = "Chrysler",
                                 Model = "Sebring",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 441,
                                 Year = 2009,
                                 Make = "Chrysler",
                                 Model = "Sebring Convertible",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 442,
                                 Year = 2009,
                                 Make = "Chrysler",
                                 Model = "Sebring Convertible",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 443,
                                 Year = 2009,
                                 Make = "Chrysler",
                                 Model = "Town and Country",
                                 Engine = "V6-3.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 444,
                                 Year = 2009,
                                 Make = "Chrysler",
                                 Model = "Town and Country",
                                 Engine = "V6-3.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 445,
                                 Year = 2009,
                                 Make = "Chrysler",
                                 Model = "Town and Country",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 446,
                                 Year = 2009,
                                 Make = "Dodge",
                                 Model = "Avenger",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 447,
                                 Year = 2009,
                                 Make = "Dodge",
                                 Model = "Avenger",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 448,
                                 Year = 2009,
                                 Make = "Dodge",
                                 Model = "Caliber",
                                 Engine = "V4-1.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 449,
                                 Year = 2009,
                                 Make = "Dodge",
                                 Model = "Caliber",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 450,
                                 Year = 2009,
                                 Make = "Dodge",
                                 Model = "Caliber",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 451,
                                 Year = 2009,
                                 Make = "Dodge",
                                 Model = "Caravan/Grand Caravan FWD",
                                 Engine = "V6-3.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 452,
                                 Year = 2009,
                                 Make = "Dodge",
                                 Model = "Caravan/Grand Caravan FWD",
                                 Engine = "V6-3.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 453,
                                 Year = 2009,
                                 Make = "Dodge",
                                 Model = "Caravan/Grand Caravan FWD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 454,
                                 Year = 2009,
                                 Make = "Dodge",
                                 Model = "Dakota Pickup 2WD",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 455,
                                 Year = 2009,
                                 Make = "Dodge",
                                 Model = "Dakota Pickup 2WD",
                                 Engine = "V8-4.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 456,
                                 Year = 2009,
                                 Make = "Dodge",
                                 Model = "Dakota Pickup 4WD",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 457,
                                 Year = 2009,
                                 Make = "Dodge",
                                 Model = "Dakota Pickup 4WD",
                                 Engine = "V8-4.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 458,
                                 Year = 2009,
                                 Make = "Dodge",
                                 Model = "Durango HEV",
                                 Engine = "V8-5.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 459,
                                 Year = 2009,
                                 Make = "Dodge",
                                 Model = "Journey  2WD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 460,
                                 Year = 2009,
                                 Make = "Dodge",
                                 Model = "Journey  2WD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 461,
                                 Year = 2009,
                                 Make = "Dodge",
                                 Model = "Journey  4WD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 462,
                                 Year = 2009,
                                 Make = "Dodge",
                                 Model = "Nitro 2WD",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 463,
                                 Year = 2009,
                                 Make = "Dodge",
                                 Model = "Nitro 2WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 464,
                                 Year = 2009,
                                 Make = "Dodge",
                                 Model = "Nitro 4WD",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 465,
                                 Year = 2009,
                                 Make = "Dodge",
                                 Model = "Ram 1500 Pickup 2WD",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 466,
                                 Year = 2009,
                                 Make = "Dodge",
                                 Model = "Ram 1500 Pickup 2WD",
                                 Engine = "V8-4.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 467,
                                 Year = 2009,
                                 Make = "Dodge",
                                 Model = "Ram 1500 Pickup 2WD",
                                 Engine = "V8-5.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 468,
                                 Year = 2009,
                                 Make = "Dodge",
                                 Model = "Ram 1500 Pickup 4WD",
                                 Engine = "V8-4.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 469,
                                 Year = 2009,
                                 Make = "Dodge",
                                 Model = "Ram 1500 Pickup 4WD",
                                 Engine = "V8-5.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 470,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Edge AWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 471,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Edge FWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 472,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Escape 4WD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 473,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Escape 4WD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 474,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Escape FWD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 475,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Escape FWD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 476,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Escape Hybrid 4WD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 477,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Escape Hybrid FWD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 478,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Expedition 2WD FFV",
                                 Engine = "V8-5.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 479,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Explorer 2WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 480,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Explorer 2WD",
                                 Engine = "V8-4.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 481,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Explorer 4WD",
                                 Engine = "V8-4.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 482,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Explorer Sport Trac 2WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 483,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Explorer Sport Trac 2WD",
                                 Engine = "V8-4.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 484,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Explorer Sport Trac 4WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 485,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Explorer Sport Trac 4WD",
                                 Engine = "V8-4.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 486,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "F150 Pickup 2WD",
                                 Engine = "V8-4.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 487,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "F150 Pickup 4WD",
                                 Engine = "V8-4.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 488,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "F150 Pickup FFV 2WD",
                                 Engine = "V8-5.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 489,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "F150 Pickup FFV 4WD",
                                 Engine = "V8-5.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 490,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "F150 SFE 2WD",
                                 Engine = "V8-4.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 491,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Flex AWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 492,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Flex FWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 493,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Focus FWD",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 494,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Fusion AWD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 495,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Fusion FWD",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 496,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Fusion FWD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 497,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Mustang",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 498,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Ranger Pickup 2WD",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 499,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Ranger Pickup 2WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 500,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Ranger Pickup 4WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 501,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Taurus FWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 502,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Taurus X AWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 503,
                                 Year = 2009,
                                 Make = "Ford",
                                 Model = "Taurus X FWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 504,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Acadia AWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 505,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Acadia FWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 506,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Canyon 2WD",
                                 Engine = "V4-2.9L"
                             };
            yield return new Automobile
                             {
                                 Id = 507,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Canyon 2WD",
                                 Engine = "V5-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 508,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Canyon 4WD",
                                 Engine = "V4-2.9L"
                             };
            yield return new Automobile
                             {
                                 Id = 509,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Canyon 4WD",
                                 Engine = "V5-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 510,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Canyon Cab Chassis Inc 4WD",
                                 Engine = "V5-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 511,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Canyon Crew Cab 2WD",
                                 Engine = "V4-2.9L"
                             };
            yield return new Automobile
                             {
                                 Id = 512,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Canyon Crew Cab 2WD",
                                 Engine = "V5-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 513,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Canyon Crew Cab 4WD",
                                 Engine = "V5-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 514,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Savana 1500  AWD (cargo)",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 515,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Savana 1500  AWD Conversion (cargo",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 516,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Savana 1500 2WD (cargo)",
                                 Engine = "V6-4.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 517,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Savana 1500 2WD (cargo)",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 518,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Savana 1500 2WD (Passenger)",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 519,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Savana 1500 2WD Conversion (cargo)",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 520,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Savana 1500 AWD (cargo)",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 521,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Savana 1500 AWD (Passenger)",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 522,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Savana 1500 AWD Conversion (cargo)",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 523,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Sierra 15 Hybrid 2WD",
                                 Engine = "V8-6L"
                             };
            yield return new Automobile
                             {
                                 Id = 524,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Sierra 15 Hybrid 4WD",
                                 Engine = "V8-6L"
                             };
            yield return new Automobile
                             {
                                 Id = 525,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Sierra C15 2WD",
                                 Engine = "V6-4.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 526,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Sierra C15 2WD",
                                 Engine = "V8-4.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 527,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Sierra C15 2WD",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 528,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Sierra C15 2WD",
                                 Engine = "V8-6.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 529,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Sierra C15 2WD",
                                 Engine = "V8-6L"
                             };
            yield return new Automobile
                             {
                                 Id = 530,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Sierra C15 XFE 2WD",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 531,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Sierra K15 4WD",
                                 Engine = "V6-4.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 532,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Sierra K15 4WD",
                                 Engine = "V8-4.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 533,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Sierra K15 4WD",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 534,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Sierra K15 4WD",
                                 Engine = "V8-6.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 535,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Sierra K15 4WD",
                                 Engine = "V8-6L"
                             };
            yield return new Automobile
                             {
                                 Id = 536,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Sierra K15 AWD",
                                 Engine = "V8-6.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 537,
                                 Year = 2009,
                                 Make = "GMC",
                                 Model = "Yukon 1500 4WD",
                                 Engine = "V8-5.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 538,
                                 Year = 2009,
                                 Make = "Honda",
                                 Model = "Accord",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 539,
                                 Year = 2009,
                                 Make = "Honda",
                                 Model = "Accord",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 540,
                                 Year = 2009,
                                 Make = "Honda",
                                 Model = "Accord Coupe",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 541,
                                 Year = 2009,
                                 Make = "Honda",
                                 Model = "Accord Coupe",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 542,
                                 Year = 2009,
                                 Make = "Honda",
                                 Model = "Civic",
                                 Engine = "V4-1.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 543,
                                 Year = 2009,
                                 Make = "Honda",
                                 Model = "Civic",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 544,
                                 Year = 2009,
                                 Make = "Honda",
                                 Model = "Civic CNG",
                                 Engine = "V4-1.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 545,
                                 Year = 2009,
                                 Make = "Honda",
                                 Model = "Civic Hybrid",
                                 Engine = "V4-1.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 546,
                                 Year = 2009,
                                 Make = "Honda",
                                 Model = "CR-V 2WD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 547,
                                 Year = 2009,
                                 Make = "Honda",
                                 Model = "CR-V 4WD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 548,
                                 Year = 2009,
                                 Make = "Honda",
                                 Model = "Element 2WD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 549,
                                 Year = 2009,
                                 Make = "Honda",
                                 Model = "Element 4WD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 550,
                                 Year = 2009,
                                 Make = "Honda",
                                 Model = "Fit",
                                 Engine = "V4-1.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 551,
                                 Year = 2009,
                                 Make = "Honda",
                                 Model = "Odyssey",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 552,
                                 Year = 2009,
                                 Make = "Honda",
                                 Model = "Pilot 2WD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 553,
                                 Year = 2009,
                                 Make = "Honda",
                                 Model = "Pilot 4WD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 554,
                                 Year = 2009,
                                 Make = "Honda",
                                 Model = "Ridgeline Truck 4WD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 555,
                                 Year = 2009,
                                 Make = "Hummer",
                                 Model = "H3 4WD",
                                 Engine = "V5-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 556,
                                 Year = 2009,
                                 Make = "Hummer",
                                 Model = "H3T 4WD",
                                 Engine = "V5-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 557,
                                 Year = 2009,
                                 Make = "Hyundai",
                                 Model = "Accent",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 558,
                                 Year = 2009,
                                 Make = "Hyundai",
                                 Model = "Elantra",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 559,
                                 Year = 2009,
                                 Make = "Hyundai",
                                 Model = "Elantra Touring",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 560,
                                 Year = 2009,
                                 Make = "Hyundai",
                                 Model = "Genesis",
                                 Engine = "V6-3.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 561,
                                 Year = 2009,
                                 Make = "Hyundai",
                                 Model = "Santa Fe 2WD",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 562,
                                 Year = 2009,
                                 Make = "Hyundai",
                                 Model = "Santa Fe 2WD",
                                 Engine = "V6-3.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 563,
                                 Year = 2009,
                                 Make = "Hyundai",
                                 Model = "Santa Fe 4WD",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 564,
                                 Year = 2009,
                                 Make = "Hyundai",
                                 Model = "Santa Fe 4WD",
                                 Engine = "V6-3.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 565,
                                 Year = 2009,
                                 Make = "Hyundai",
                                 Model = "Sonata",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 566,
                                 Year = 2009,
                                 Make = "Hyundai",
                                 Model = "Sonata",
                                 Engine = "V6-3.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 567,
                                 Year = 2009,
                                 Make = "Hyundai",
                                 Model = "Tucson 2WD",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 568,
                                 Year = 2009,
                                 Make = "Hyundai",
                                 Model = "Tucson 2WD",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 569,
                                 Year = 2009,
                                 Make = "Hyundai",
                                 Model = "Tucson 4WD",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 570,
                                 Year = 2009,
                                 Make = "Hyundai",
                                 Model = "Tucson 4WD",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 571,
                                 Year = 2009,
                                 Make = "Hyundai",
                                 Model = "Veracruz 2WD",
                                 Engine = "V6-3.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 572,
                                 Year = 2009,
                                 Make = "Hyundai",
                                 Model = "Veracruz 4WD",
                                 Engine = "V6-3.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 573,
                                 Year = 2009,
                                 Make = "Infiniti",
                                 Model = "FX35 AWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 574,
                                 Year = 2009,
                                 Make = "Infiniti",
                                 Model = "FX35 RWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 575,
                                 Year = 2009,
                                 Make = "Jeep",
                                 Model = "Commander 4WD",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 576,
                                 Year = 2009,
                                 Make = "Jeep",
                                 Model = "Compass 2WD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 577,
                                 Year = 2009,
                                 Make = "Jeep",
                                 Model = "Compass 2WD",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 578,
                                 Year = 2009,
                                 Make = "Jeep",
                                 Model = "Compass 4WD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 579,
                                 Year = 2009,
                                 Make = "Jeep",
                                 Model = "Grand Cherokee 2WD",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 580,
                                 Year = 2009,
                                 Make = "Jeep",
                                 Model = "Liberty 2WD",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 581,
                                 Year = 2009,
                                 Make = "Jeep",
                                 Model = "Liberty 4WD",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 582,
                                 Year = 2009,
                                 Make = "Jeep",
                                 Model = "Patriot 2WD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 583,
                                 Year = 2009,
                                 Make = "Jeep",
                                 Model = "Patriot 2WD",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 584,
                                 Year = 2009,
                                 Make = "Jeep",
                                 Model = "Patriot 4WD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 585,
                                 Year = 2009,
                                 Make = "Kia",
                                 Model = "Borrego 2WD",
                                 Engine = "V6-3.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 586,
                                 Year = 2009,
                                 Make = "Kia",
                                 Model = "Borrego 2WD",
                                 Engine = "V8-4.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 587,
                                 Year = 2009,
                                 Make = "Kia",
                                 Model = "Borrego 4WD",
                                 Engine = "V6-3.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 588,
                                 Year = 2009,
                                 Make = "Kia",
                                 Model = "Optima",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 589,
                                 Year = 2009,
                                 Make = "Kia",
                                 Model = "Optima",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 590,
                                 Year = 2009,
                                 Make = "Kia",
                                 Model = "Rio",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 591,
                                 Year = 2009,
                                 Make = "Kia",
                                 Model = "Rondo",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 592,
                                 Year = 2009,
                                 Make = "Kia",
                                 Model = "Rondo",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 593,
                                 Year = 2009,
                                 Make = "Kia",
                                 Model = "Sedona",
                                 Engine = "V6-3.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 594,
                                 Year = 2009,
                                 Make = "Kia",
                                 Model = "Sorento 2WD",
                                 Engine = "V6-3.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 595,
                                 Year = 2009,
                                 Make = "Kia",
                                 Model = "Sorento 4WD",
                                 Engine = "V6-3.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 596,
                                 Year = 2009,
                                 Make = "Kia",
                                 Model = "Spectra",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 597,
                                 Year = 2009,
                                 Make = "Kia",
                                 Model = "Sportage 2WD",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 598,
                                 Year = 2009,
                                 Make = "Kia",
                                 Model = "Sportage 2WD",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 599,
                                 Year = 2009,
                                 Make = "Kia",
                                 Model = "Sportage 4WD",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 600,
                                 Year = 2009,
                                 Make = "Kia",
                                 Model = "Sportage 4WD",
                                 Engine = "V6-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 601,
                                 Year = 2009,
                                 Make = "Lexus",
                                 Model = "ES 350",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 602,
                                 Year = 2009,
                                 Make = "Lexus",
                                 Model = "GS 350",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 603,
                                 Year = 2009,
                                 Make = "Lexus",
                                 Model = "IS 250",
                                 Engine = "V6-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 604,
                                 Year = 2009,
                                 Make = "Lexus",
                                 Model = "IS 250 AWD",
                                 Engine = "V6-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 605,
                                 Year = 2009,
                                 Make = "Lexus",
                                 Model = "IS 350",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 606,
                                 Year = 2009,
                                 Make = "Lexus",
                                 Model = "RX 350 2WD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 607,
                                 Year = 2009,
                                 Make = "Lincoln",
                                 Model = "MKS FWD",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 608,
                                 Year = 2009,
                                 Make = "Lincoln",
                                 Model = "MKX AWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 609,
                                 Year = 2009,
                                 Make = "Lincoln",
                                 Model = "MKX FWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 610,
                                 Year = 2009,
                                 Make = "Lincoln",
                                 Model = "MKZ AWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 611,
                                 Year = 2009,
                                 Make = "Mazda",
                                 Model = "3",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 612,
                                 Year = 2009,
                                 Make = "Mazda",
                                 Model = "3",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 613,
                                 Year = 2009,
                                 Make = "Mazda",
                                 Model = "5",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 614,
                                 Year = 2009,
                                 Make = "Mazda",
                                 Model = "6",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 615,
                                 Year = 2009,
                                 Make = "Mazda",
                                 Model = "6",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 616,
                                 Year = 2009,
                                 Make = "Mazda",
                                 Model = "B2300 2WD",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 617,
                                 Year = 2009,
                                 Make = "Mazda",
                                 Model = "CX-7 2WD",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 618,
                                 Year = 2009,
                                 Make = "Mazda",
                                 Model = "CX-7 4WD",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 619,
                                 Year = 2009,
                                 Make = "Mazda",
                                 Model = "CX-9 2WD",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 620,
                                 Year = 2009,
                                 Make = "Mazda",
                                 Model = "CX-9 4WD",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 621,
                                 Year = 2009,
                                 Make = "Mazda",
                                 Model = "MX-5",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 622,
                                 Year = 2009,
                                 Make = "Mazda",
                                 Model = "Tribute 4WD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 623,
                                 Year = 2009,
                                 Make = "Mazda",
                                 Model = "Tribute 4WD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 624,
                                 Year = 2009,
                                 Make = "Mazda",
                                 Model = "Tribute FWD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 625,
                                 Year = 2009,
                                 Make = "Mazda",
                                 Model = "Tribute FWD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 626,
                                 Year = 2009,
                                 Make = "Mazda",
                                 Model = "Tribute Hybrid 2WD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 627,
                                 Year = 2009,
                                 Make = "Mazda",
                                 Model = "Tribute Hybrid 4WD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 628,
                                 Year = 2009,
                                 Make = "Mercury",
                                 Model = "Mariner 4WD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 629,
                                 Year = 2009,
                                 Make = "Mercury",
                                 Model = "Mariner 4WD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 630,
                                 Year = 2009,
                                 Make = "Mercury",
                                 Model = "Mariner FWD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 631,
                                 Year = 2009,
                                 Make = "Mercury",
                                 Model = "Mariner FWD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 632,
                                 Year = 2009,
                                 Make = "Mercury",
                                 Model = "Mariner Hybrid 4WD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 633,
                                 Year = 2009,
                                 Make = "Mercury",
                                 Model = "Mariner Hybrid FWD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 634,
                                 Year = 2009,
                                 Make = "Mercury",
                                 Model = "Milan",
                                 Engine = "V4-2.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 635,
                                 Year = 2009,
                                 Make = "Mercury",
                                 Model = "Milan",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 636,
                                 Year = 2009,
                                 Make = "Mercury",
                                 Model = "Milan AWD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 637,
                                 Year = 2009,
                                 Make = "MINI",
                                 Model = "Clubman",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 638,
                                 Year = 2009,
                                 Make = "MINI",
                                 Model = "Clubman S",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 639,
                                 Year = 2009,
                                 Make = "MINI",
                                 Model = "Cooper",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 640,
                                 Year = 2009,
                                 Make = "MINI",
                                 Model = "Cooper Convertible",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 641,
                                 Year = 2009,
                                 Make = "MINI",
                                 Model = "Cooper S",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 642,
                                 Year = 2009,
                                 Make = "MINI",
                                 Model = "Cooper S Convertible",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 643,
                                 Year = 2009,
                                 Make = "MINI",
                                 Model = "John Cooper Works",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 644,
                                 Year = 2009,
                                 Make = "MINI",
                                 Model = "John Cooper Works Clubman",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 645,
                                 Year = 2009,
                                 Make = "MINI",
                                 Model = "John Cooper Works Convertible",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 646,
                                 Year = 2009,
                                 Make = "Mitsubishi",
                                 Model = "Eclipse",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 647,
                                 Year = 2009,
                                 Make = "Mitsubishi",
                                 Model = "Eclipse Spyder",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 648,
                                 Year = 2009,
                                 Make = "Mitsubishi",
                                 Model = "Endeavor 2WD",
                                 Engine = "V6-3.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 649,
                                 Year = 2009,
                                 Make = "Mitsubishi",
                                 Model = "Galant",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 650,
                                 Year = 2009,
                                 Make = "Mitsubishi",
                                 Model = "Lancer",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 651,
                                 Year = 2009,
                                 Make = "Mitsubishi",
                                 Model = "Lancer",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 652,
                                 Year = 2009,
                                 Make = "Mitsubishi",
                                 Model = "Lancer Evolution",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 653,
                                 Year = 2009,
                                 Make = "Mitsubishi",
                                 Model = "Lancer Sportback",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 654,
                                 Year = 2009,
                                 Make = "Mitsubishi",
                                 Model = "Lancer Sportback",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 655,
                                 Year = 2009,
                                 Make = "Mitsubishi",
                                 Model = "Outlander 2WD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 656,
                                 Year = 2009,
                                 Make = "Mitsubishi",
                                 Model = "Outlander 2WD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 657,
                                 Year = 2009,
                                 Make = "Mitsubishi",
                                 Model = "Outlander 4WD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 658,
                                 Year = 2009,
                                 Make = "Mitsubishi",
                                 Model = "Outlander 4WD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 659,
                                 Year = 2009,
                                 Make = "Mitsubishi",
                                 Model = "Raider Pickup 2WD",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 660,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "370z",
                                 Engine = "V6-3.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 661,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Altima",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 662,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Altima",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 663,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Altima Coupe",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 664,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Altima Coupe",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 665,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Altima Hybrid",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 666,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Cube",
                                 Engine = "V4-1.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 667,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Frontier 2WD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 668,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Frontier 2WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 669,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Frontier 4WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 670,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Maxima",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 671,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Murano AWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 672,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Murano FWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 673,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Pathfinder FE 2WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 674,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Quest",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 675,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Rogue AWD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 676,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Rogue FWD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 677,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Sentra",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 678,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Sentra",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 679,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Sentra FE",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 680,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Titan 4WD",
                                 Engine = "V8-5.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 681,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Titan FE 2WD",
                                 Engine = "V8-5.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 682,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Titan FE 2WD FFV",
                                 Engine = "V8-5.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 683,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Versa",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 684,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Versa",
                                 Engine = "V4-1.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 685,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Versa FE",
                                 Engine = "V4-1.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 686,
                                 Year = 2009,
                                 Make = "Nissan",
                                 Model = "Xterra 2WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 687,
                                 Year = 2009,
                                 Make = "Pontiac",
                                 Model = "G3 Wave",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 688,
                                 Year = 2009,
                                 Make = "Pontiac",
                                 Model = "G3 Wave 5",
                                 Engine = "V4-1.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 689,
                                 Year = 2009,
                                 Make = "Pontiac",
                                 Model = "G5",
                                 Engine = "V4-2.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 690,
                                 Year = 2009,
                                 Make = "Pontiac",
                                 Model = "G5 GT",
                                 Engine = "V4-2.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 691,
                                 Year = 2009,
                                 Make = "Pontiac",
                                 Model = "G5 XFE",
                                 Engine = "V4-2.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 692,
                                 Year = 2009,
                                 Make = "Pontiac",
                                 Model = "G6",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 693,
                                 Year = 2009,
                                 Make = "Pontiac",
                                 Model = "G6",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 694,
                                 Year = 2009,
                                 Make = "Pontiac",
                                 Model = "G6",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 695,
                                 Year = 2009,
                                 Make = "Pontiac",
                                 Model = "G6",
                                 Engine = "V6-3.9L"
                             };
            yield return new Automobile
                             {
                                 Id = 696,
                                 Year = 2009,
                                 Make = "Pontiac",
                                 Model = "G8",
                                 Engine = "V8-6L"
                             };
            yield return new Automobile
                             {
                                 Id = 697,
                                 Year = 2009,
                                 Make = "Pontiac",
                                 Model = "Solstice",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 698,
                                 Year = 2009,
                                 Make = "Pontiac",
                                 Model = "Solstice",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 699,
                                 Year = 2009,
                                 Make = "Pontiac",
                                 Model = "Torrent AWD",
                                 Engine = "V6-3.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 700,
                                 Year = 2009,
                                 Make = "Pontiac",
                                 Model = "Torrent AWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 701,
                                 Year = 2009,
                                 Make = "Pontiac",
                                 Model = "Torrent FWD",
                                 Engine = "V6-3.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 702,
                                 Year = 2009,
                                 Make = "Pontiac",
                                 Model = "Torrent FWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 703,
                                 Year = 2009,
                                 Make = "Pontiac",
                                 Model = "Vibe",
                                 Engine = "V4-1.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 704,
                                 Year = 2009,
                                 Make = "Pontiac",
                                 Model = "Vibe",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 705,
                                 Year = 2009,
                                 Make = "Saab",
                                 Model = "9-3 Convertible",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 706,
                                 Year = 2009,
                                 Make = "Saab",
                                 Model = "9-3 Sport Sedan",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 707,
                                 Year = 2009,
                                 Make = "Saab",
                                 Model = "9-3 SportCombi",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 708,
                                 Year = 2009,
                                 Make = "Saturn",
                                 Model = "Astra 2DR Hatchback",
                                 Engine = "V4-1.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 709,
                                 Year = 2009,
                                 Make = "Saturn",
                                 Model = "Astra 4DR Hatchback",
                                 Engine = "V4-1.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 710,
                                 Year = 2009,
                                 Make = "Saturn",
                                 Model = "Aura",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 711,
                                 Year = 2009,
                                 Make = "Saturn",
                                 Model = "Aura",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 712,
                                 Year = 2009,
                                 Make = "Saturn",
                                 Model = "Aura Hybrid",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 713,
                                 Year = 2009,
                                 Make = "Saturn",
                                 Model = "Outlook AWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 714,
                                 Year = 2009,
                                 Make = "Saturn",
                                 Model = "Outlook FWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 715,
                                 Year = 2009,
                                 Make = "Saturn",
                                 Model = "SKY",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 716,
                                 Year = 2009,
                                 Make = "Saturn",
                                 Model = "Vue AWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 717,
                                 Year = 2009,
                                 Make = "Saturn",
                                 Model = "Vue AWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 718,
                                 Year = 2009,
                                 Make = "Saturn",
                                 Model = "Vue FWD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 719,
                                 Year = 2009,
                                 Make = "Saturn",
                                 Model = "Vue FWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 720,
                                 Year = 2009,
                                 Make = "Saturn",
                                 Model = "Vue Hybrid",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 721,
                                 Year = 2009,
                                 Make = "Saturn",
                                 Model = "Vue Hybrid",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 722,
                                 Year = 2009,
                                 Make = "Scion",
                                 Model = "tC",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 723,
                                 Year = 2009,
                                 Make = "Scion",
                                 Model = "xB",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 724,
                                 Year = 2009,
                                 Make = "Scion",
                                 Model = "xD",
                                 Engine = "V4-1.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 725,
                                 Year = 2009,
                                 Make = "smart",
                                 Model = "fortwo convertible",
                                 Engine = "V3-1L"
                             };
            yield return new Automobile
                             {
                                 Id = 726,
                                 Year = 2009,
                                 Make = "smart",
                                 Model = "fortwo coupe",
                                 Engine = "V3-1L"
                             };
            yield return new Automobile
                             {
                                 Id = 727,
                                 Year = 2009,
                                 Make = "Subaru",
                                 Model = "Forester AWD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 728,
                                 Year = 2009,
                                 Make = "Subaru",
                                 Model = "Impreza AWD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 729,
                                 Year = 2009,
                                 Make = "Subaru",
                                 Model = "Impreza Wagon/Outback SPT AWD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 730,
                                 Year = 2009,
                                 Make = "Subaru",
                                 Model = "Legacy AWD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 731,
                                 Year = 2009,
                                 Make = "Subaru",
                                 Model = "Legacy AWD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 732,
                                 Year = 2009,
                                 Make = "Subaru",
                                 Model = "Outback Wagon AWD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 733,
                                 Year = 2009,
                                 Make = "Subaru",
                                 Model = "Outback Wagon AWD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 734,
                                 Year = 2009,
                                 Make = "Subaru",
                                 Model = "Tribeca AWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 735,
                                 Year = 2009,
                                 Make = "Suzuki",
                                 Model = "Equator 2WD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 736,
                                 Year = 2009,
                                 Make = "Suzuki",
                                 Model = "Equator 2WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 737,
                                 Year = 2009,
                                 Make = "Suzuki",
                                 Model = "Equator 4WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 738,
                                 Year = 2009,
                                 Make = "Suzuki",
                                 Model = "Grand Vitara",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 739,
                                 Year = 2009,
                                 Make = "Suzuki",
                                 Model = "Grand Vitara",
                                 Engine = "V6-3.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 740,
                                 Year = 2009,
                                 Make = "Suzuki",
                                 Model = "Grand Vitara 4WD",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 741,
                                 Year = 2009,
                                 Make = "Suzuki",
                                 Model = "Grand Vitara 4WD",
                                 Engine = "V6-3.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 742,
                                 Year = 2009,
                                 Make = "Suzuki",
                                 Model = "SX4",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 743,
                                 Year = 2009,
                                 Make = "Suzuki",
                                 Model = "SX4 AWD",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 744,
                                 Year = 2009,
                                 Make = "Suzuki",
                                 Model = "SX4 Sedan",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 745,
                                 Year = 2009,
                                 Make = "Suzuki",
                                 Model = "SX4 Sport",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 746,
                                 Year = 2009,
                                 Make = "Suzuki",
                                 Model = "XL7 AWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 747,
                                 Year = 2009,
                                 Make = "Suzuki",
                                 Model = "XL7 FWD",
                                 Engine = "V6-3.6L"
                             };
            yield return new Automobile
                             {
                                 Id = 748,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "4Runner 2WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 749,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "4Runner 2WD",
                                 Engine = "V8-4.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 750,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "4Runner 4WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 751,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Avalon",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 752,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Camry",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 753,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Camry",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 754,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Camry Hybrid",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 755,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Corolla",
                                 Engine = "V4-1.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 756,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Corolla",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 757,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "FJ Cruiser 2WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 758,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Highlander 2WD",
                                 Engine = "V4-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 759,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Highlander 2WD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 760,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Highlander 4WD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 761,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Highlander Hybrid 4WD",
                                 Engine = "V6-3.3L"
                             };
            yield return new Automobile
                             {
                                 Id = 762,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Matrix",
                                 Engine = "V4-1.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 763,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Matrix",
                                 Engine = "V4-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 764,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Prius",
                                 Engine = "V4-1.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 765,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "RAV4 2WD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 766,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "RAV4 2WD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 767,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "RAV4 4WD",
                                 Engine = "V4-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 768,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "RAV4 4WD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 769,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Sienna 2WD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 770,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Sienna 4WD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 771,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Tacoma 2WD",
                                 Engine = "V4-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 772,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Tacoma 2WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 773,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Tacoma 4WD",
                                 Engine = "V4-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 774,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Tacoma 4WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 775,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Tundra 2WD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 776,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Tundra 2WD",
                                 Engine = "V8-4.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 777,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Tundra 2WD",
                                 Engine = "V8-5.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 778,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Tundra 4WD",
                                 Engine = "V8-4.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 779,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Tundra 4WD",
                                 Engine = "V8-5.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 780,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Venza",
                                 Engine = "V4-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 781,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Venza",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 782,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Venza AWD",
                                 Engine = "V4-2.7L"
                             };
            yield return new Automobile
                             {
                                 Id = 783,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Venza AWD",
                                 Engine = "V6-3.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 784,
                                 Year = 2009,
                                 Make = "Toyota",
                                 Model = "Yaris",
                                 Engine = "V4-1.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 785,
                                 Year = 2009,
                                 Make = "Volkswagen",
                                 Model = "CC",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 786,
                                 Year = 2009,
                                 Make = "Volkswagen",
                                 Model = "Eos",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 787,
                                 Year = 2009,
                                 Make = "Volkswagen",
                                 Model = "GTI",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 788,
                                 Year = 2009,
                                 Make = "Volkswagen",
                                 Model = "Jetta",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 789,
                                 Year = 2009,
                                 Make = "Volkswagen",
                                 Model = "Jetta",
                                 Engine = "V5-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 790,
                                 Year = 2009,
                                 Make = "Volkswagen",
                                 Model = "Jetta SportWagen",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 791,
                                 Year = 2009,
                                 Make = "Volkswagen",
                                 Model = "Jetta SportWagen",
                                 Engine = "V5-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 792,
                                 Year = 2009,
                                 Make = "Volkswagen",
                                 Model = "New Beetle",
                                 Engine = "V5-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 793,
                                 Year = 2009,
                                 Make = "Volkswagen",
                                 Model = "New Beetle Convertible",
                                 Engine = "V5-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 794,
                                 Year = 2009,
                                 Make = "Volkswagen",
                                 Model = "Passat",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 795,
                                 Year = 2009,
                                 Make = "Volkswagen",
                                 Model = "Passat CC",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 796,
                                 Year = 2009,
                                 Make = "Volkswagen",
                                 Model = "Passat Wagon",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 797,
                                 Year = 2009,
                                 Make = "Volkswagen",
                                 Model = "Rabbit",
                                 Engine = "V5-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 798,
                                 Year = 2009,
                                 Make = "Volkswagen",
                                 Model = "Routan FWD",
                                 Engine = "V6-3.8L"
                             };
            yield return new Automobile
                             {
                                 Id = 799,
                                 Year = 2009,
                                 Make = "Volkswagen",
                                 Model = "Routan FWD",
                                 Engine = "V6-4L"
                             };
            yield return new Automobile
                             {
                                 Id = 800,
                                 Year = 2009,
                                 Make = "Volkswagen",
                                 Model = "Tiguan",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 801,
                                 Year = 2009,
                                 Make = "Volkswagen",
                                 Model = "Tiguan 4motion",
                                 Engine = "V4-2L"
                             };
            yield return new Automobile
                             {
                                 Id = 802,
                                 Year = 2009,
                                 Make = "Volkswagen",
                                 Model = "Touareg",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 803,
                                 Year = 2009,
                                 Make = "Volvo",
                                 Model = "C30 FWD",
                                 Engine = "V5-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 804,
                                 Year = 2009,
                                 Make = "Volvo",
                                 Model = "C30 FWD",
                                 Engine = "V5-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 805,
                                 Year = 2009,
                                 Make = "Volvo",
                                 Model = "S40 AWD",
                                 Engine = "V5-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 806,
                                 Year = 2009,
                                 Make = "Volvo",
                                 Model = "S40 FWD",
                                 Engine = "V5-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 807,
                                 Year = 2009,
                                 Make = "Volvo",
                                 Model = "S40 FWD",
                                 Engine = "V5-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 808,
                                 Year = 2009,
                                 Make = "Volvo",
                                 Model = "S60 AWD",
                                 Engine = "V5-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 809,
                                 Year = 2009,
                                 Make = "Volvo",
                                 Model = "S60 FWD",
                                 Engine = "V5-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 810,
                                 Year = 2009,
                                 Make = "Volvo",
                                 Model = "S60 FWD",
                                 Engine = "V5-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 811,
                                 Year = 2009,
                                 Make = "Volvo",
                                 Model = "V50 AWD",
                                 Engine = "V5-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 812,
                                 Year = 2009,
                                 Make = "Volvo",
                                 Model = "V50 FWD",
                                 Engine = "V5-2.4L"
                             };
            yield return new Automobile
                             {
                                 Id = 813,
                                 Year = 2009,
                                 Make = "Volvo",
                                 Model = "V50 FWD",
                                 Engine = "V5-2.5L"
                             };
            yield return new Automobile
                             {
                                 Id = 814,
                                 Year = 2009,
                                 Make = "Volvo",
                                 Model = "XC 60 AWD",
                                 Engine = "V6-3L"
                             };
            yield return new Automobile
                             {
                                 Id = 815,
                                 Year = 2009,
                                 Make = "Volvo",
                                 Model = "XC 70 AWD",
                                 Engine = "V6-3.2L"
                             };
            yield return new Automobile
                             {
                                 Id = 816,
                                 Year = 2009,
                                 Make = "Volvo",
                                 Model = "XC 70 AWD",
                                 Engine = "V6-3L"
                             };
        }
    }
}