﻿using AutomobileSampleDataModel;

namespace CatchAllAutomobileService
{
    public class AutomobileMatchObject
    {
        public string Year { get; set; }

        public int YearValue
        {
            get
            {
                int y;
                int.TryParse(Year, out y);
                return y;
            }
        }

        public string Make { get; set; }
        public string Model { get; set; }
        public string Engine { get; set; }

        public static AutomobileMatchObject CopyFrom(Automobile automobile)
        {
            return new AutomobileMatchObject
                       {
                           Year = automobile.Year.ToString(),
                           Make = automobile.Make,
                           Model = automobile.Model,
                           Engine = automobile.Engine
                       };
        }
    }
}