﻿using System.Web.Mvc;
using System.Web.Routing;

namespace MvcAutomobileService
{
    public class MvcApplication : System.Web.HttpApplication
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.MapRoute(
                "Demo",
                "demo.html",
                new { controller = "Main", action = "Demo" }
                );

            routes.MapRoute(
                "JsonDefault",
                "json/{year}/{make}/{model}/{engine}",
                new { controller = "Main", action = "JsonMain", year = "", make = "", model = "", engine = "" }
                );

            routes.MapRoute(
                "Default",
                "{year}/{make}/{model}/{engine}",
                new { controller = "Main", action = "Main", year = "", make = "", model = "", engine = "" }
                );
        }

        protected void Application_Start()
        {
            RegisterRoutes(RouteTable.Routes);
        }
    }
}